Subject: bug#45012: 27.1.50; Emacs 27.1 release archive missing emacs-module.h

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Dec 2020 20:37:10 +0200

> From: Philipp Stephani <[email-masked]>
> Date: Sat, 12 Dec 2020 15:55:46 +0100
> Cc: [email-masked]
> 
> > > Concretely, I'm using emacs-module.h for my Go bindings to the module
> > > API (https://godoc.org/github.com/phst/emacs). The compilation of the
> > > library naturally requires emacs-module.h, but not Emacs.
> >
> > So you will build the module, but never test it or use it?  Is that a
> > reasonably practical use case?
> 
> It depends what "you" is. "You" could be a continuous build system
> that's capable of compiling C code, but not of running Emacs. That's
> not far-fetched; compiling C code is far more common than running
> Emacs, and therefore is better supported by build systems.

There's no need to build Emacs, you only need to configure it to get
emacs-module.h generated.